New to Kendo UI for AngularStart a free 30-day trial

NoteLabelPosition

Updated over 6 months ago

Specifies the position of a note label.

The possible values are:

  • "inside"—Positions the note label inside the axis.
  • "outside"—Positions the note label outside the axis.
ts
import { Component } from '@angular/core';
import { NoteLabelPosition } from '@progress/kendo-angular-charts';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-value-axis>
        <kendo-chart-value-axis-item>
            <kendo-chart-value-axis-item-notes [data]="[{value: 1, label: { text: 'Foo' }}]">
              <kendo-chart-value-axis-item-notes-label [position]="position">
              </kendo-chart-value-axis-item-notes-label>
            </kendo-chart-value-axis-item-notes>
        </kendo-chart-value-axis-item>
      </kendo-chart-value-axis>
    </kendo-chart>
  `
})
class AppComponent {
  public position: NoteLabelPosition = "outside";
}

type NoteLabelPosition = "inside" | "outside";

Not finding the help you need?
Contact Support

New to Kendo UI for VueStart a free 30-day trial

Specifies the position of a note label.

The possible values are:

  • "inside"—Positions the note label inside the axis.
  • "outside"—Positions the note label outside the axis.

Possible values:

  • "inside"
  • "outside"
Example:
jsx
<template>
  <div>
    <Chart>
      <ChartValueAxis>
        <ChartValueAxisItem :max="5" :notes="valueNotes" />
      </ChartValueAxis>
    </Chart>
  </div>
</template>

<script>
import {
  Chart,
  ChartValueAxis,
  ChartValueAxisItem,
} from '@progress/kendo-vue-charts';

export default {
  components: {
    Chart,
    ChartValueAxis,
    ChartValueAxisItem,
  },
  data: function () {
    return {
      valueNotes: {
        data: [
          {
            value: 4,
            text: 'Max',
          },
          {
            value: 1,
            text: 'Min',
          },
        ],
        label: {
          position: 'outside',
          content: (args) => args.dataItem.text,
        },
      },
    };
  },
};
</script>
Not finding the help you need?
Contact Support